/**
 * Implementar uma class denominada Taximetro:
 * ATRIBUTOS:
 *             tarifaInicial
 *             valorBandeira1
 *             valorBandeira2
 *             valorTaxiParado
 * MÉTODOS:
 *             getCorridaBandeira1( float km, int tempoParado )
 *             getCorridaBandeira2( float km, int tempoParado )
 *
 *        tarifaInicial + bandeira*km + valorTaxiParado*tempoParado
 */
#include <iostream>
//using std::cout;
//using std::endl;
using namespace std;

class Taximetro {
private:
    float tarifaInicial;
    float valorBandeira1;
    float valorBandeira2;
    float valorTaxiParado;    
public:
    Taximetro( float tarifaInicial, float valorBandeira1,
               float valorBandeira2, float valorTaxiParado ) :
               tarifaInicial( tarifaInicial ), 
               valorBandeira1( valorBandeira1 ),
               valorBandeira2( valorBandeira2 ),
               valorTaxiParado( valorTaxiParado ) {}

    float getCorridaBandeira1( float km, int tempoParado ) {
        return tarifaInicial + 
               km*valorBandeira1 +
               tempoParado*valorTaxiParado;
    }

    float getCorridaBandeira2( float km, int tempoParado ) {
        return tarifaInicial + 
               km*valorBandeira2 +
               tempoParado*valorTaxiParado;
    }
    
    float getBandeira1() {
        return valorBandeira1;
    }
    float getBandeira2() {
        return valorBandeira2;
    }
    float getTarifaInicial() {
        return tarifaInicial;
    }
    float getValorTaxiParado() {
        return valorTaxiParado;
    }

    void setBandeira1( float valorBandeira1 ) {
        if( valorBandeira1 > 0 )
            this->valorBandeira1 = valorBandeira1;
    } 
    
    void setBandeira2( float valorBandeira2 ) {
        if( valorBandeira2 > 0 )        
            this->valorBandeira2 = valorBandeira2;
    } 

    void setTarifaInicial( float tarifaInicial ) {
        if( tarifaInicial >= 0 )
            this->tarifaInicial =  tarifaInicial;
    }   
    
    void setValorTaxiParado( float valorTaxiParado ) {
        if( valorTaxiParado >= 0 )
            this->valorTaxiParado = valorTaxiParado; 
    }  
};

int main() {
    Taximetro t( 4.20, 2.20, 3.80, 0.50 );
    cout << "Corrida: R$" << t.getCorridaBandeira2( 4, 5 ) << endl;
}


